
#ifndef PLAYLISTMODEL_H
#define PLAYLISTMODEL_H

#include <QStandardItemModel>
#include <QtCore/QUrl>

class PlaylistModel : public QStandardItemModel
{
	Q_OBJECT
	public:
		PlaylistModel(QObject* parent = 0);
		QUrl next();
		void addFile(const QUrl& url);
		
	private:
		int m_current;
};

#endif // PLAYLISTMODEL_H
